# Geo Endpoints for Spatial Data Access

{% hint style="success" %}
GeoPard uses <https://www.ogc.org/> Open GeoSpatial Consortium data formats like WMS for pictures and WFS for vector data. Also, we work with shapefiles for import and export. The engine is flexible to import and export in any of these data formats. For satellite imagery, we work with [COGs (Cloud Optimized Geotiffs)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
You have to install Postman to execute WMS/WFS requests.
{% endhint %}

{% hint style="info" %}
Every request has to be signed with HEADER "Authorization" (where the token must be put) or with the URL parameter "geopardApiKey " (where the user API key must be put).
{% endhint %}

WMS API endpoints are stored under "geoMaps" attributes of "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset", "YieldDataset" entities. Check [GeoPard DataScheme.](/geopard-tutorials/api-docs/geopard-api-data-schema.md)

WFS API endpoints are stored under "boundaryUrl", "zonesMapUrl", and "attributesUrl" of "Field", and "VectorAnalysisMap" entities.

{% hint style="info" %}
We recommend using the EPSG:900913 projection instead of EPSG:3857 to get more accurate images.
{% endhint %}

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geo-endpoints-for-spatial-data-access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
